You dithering idiot!

I may well have done a post in a similar vein in the past but it still ceases to amaze me how the more you learn with Linux, and possibly everything else in your life, the more complacent you become which leads to horrendous problems because you missed the most basic of details. I’ve come by a lovely, fairly new, Laptop. Seeing as my Dell Latitude is something around 5 years old I’m not able to run on it so the new Laptop gave me a chance to experience the joys 3D wizardry on a machine that I can take around to show others this cool and useful eye candy.

Preparation is the key to success

In their infinite wisdom Beryl, has chosen Ubuntu as the primary release distribution for all the latest goodies so features such as the Ring which is the new application switcher has not trickled down to my main flavour opensuse yet the choice of what to install was pretty obvious so off to the Ubuntu website to download the latest version which is where the catalogue of stupidity on my part started.

Four hours later I had the iso burnt and popped the disc in and away we go…. Um no we don’t. The basic kernel just sat there? After a couple of minutes scratching my bald pate I realised it needed acpi=off “Ah that’s better” surprisingly the whole install only took twenty minutes which was impressive. I then ran the updates all 108 of them after another hour or so I was ready to add the Beryl repos to apt and do the install.

Would you like to borrow my glasses?

Following the instructions on the Beryl Wiki I started by trying to install xgl-server but apt-get complained that the wrong dependency was going to be installed I googled around the net and found similar references to libc6 thinking I was up a creek without a paddle I turned to a friend of mine for advice/solace. He sent me an email that made me realise two very important mistakes I’d made.

Quote: “Anyways why are you trying to install xgl you dithering idiot! Seriously, that’s great that the boot params got it working for you. I haven’t used xgl in ages. I assume you’ve got Ubuntu edgy? That has xorg 7.1 which means it’s got aiglx on there already, so you don’t need anything more. Just install beryl and add a line or two to xorg.conf and you’re laughingEnd quote.

Now dear reader you may be thinking “What a Muppet” but the best is yet to come don’t ask me why but I thought “Hang on what did them repo’s say in synaptic?” oh dear, what have we installed? Yep Ubuntu 6.06.1 LTS (Dapper Drake) and not Ubuntu 6.10 (The Edgy Eft)how the $£%&@ did that get installed? I’ll tell you how, I must have clicked on the wrong link then blazed ahead because us clever people know what we are doing and started the download without taking any notice of what was being downloaded.

It gets worse! I must have not looked at the text of the iso just the fact that it was an iso with the word Ubuntu in it burnt the jigger and slapped it in the ROM bay and installed it this explains why the Beryl that I was trying to install for *Edgy* was getting upset when in fact I had ‘Dapper Drake’ on the Laptop.

Go to your room and think about what you did!

I spent Sunday doing everything all over again downloading the correct version Edgy Eft wiping the laptop and doing a fresh install, Beryl installed flawlessly and there was only one more hiccup which again was due to rushing and not concentrating, I wanted to put Relaxing_Waters which is a GDM theme back on but couldn’t find it on the GDM-theme selection why? Because I put it in the desktop themes that’s why. So the moral is;

Loading Facebook Comments ...

Leave a Reply

Your email address will not be published. Required fields are marked *